# Paths

Paths is a Unity-based application dedicated to showing off a array of different pathfinding algorithms in a variety of different environments and configurations.

## Algorithms

- A*

## To-do

- Algorithms
    - Djikstra
    - IDA*
    - Depth-First Search
    - Breadth-First Search
    - Jump Point Search
    - Orthogonal Jump Point Search
    - Trace
    - Bellman-Ford
    - D* or D*-Lite
- Configuration Options
    - Heuristic Calculations
    - Informed Search Options
        - Uninformed
        - Informed
            - Manhattan
            - Euclidean
- Application Elements
    - Editable Graph
    - UI Toolbar / Tool Selection
    - Algorithm Configuration Area
    - Statistics Report
    - State Slider
- Miscellaneous
    - Repository graphics